package zacksolutions;

import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;
import zacksolutions.base.Initialization;
import zacksolutions.pages.HomePage;

import java.io.IOException;

public class HomePageTest extends Initialization {

  HomePage homePage;

  public HomePageTest() {
    super();
  }

  @Parameters("browser")
  @BeforeTest
  public void setUp(String browser) {
    BrowserInit(browser);
    homePage = new HomePage();
    System.out.println("Starting " + browser);
  }

  @Test
  public void TextTest() throws InterruptedException, IOException {
    HomePage hp = new HomePage();
    hp.insertText();
/*
    hp.textConfirmation();
*/
    System.out.println("Job is done, please check this link: " + prop.getProperty("url"));
  }

  @AfterTest
  public void tearDown() {
    driver.close();
  }
}
